org.eclipse.cdt.utils.coff

## Class Coff.Lineno

- java.lang.Object
- - org.eclipse.cdt.utils.coff.Coff.Lineno

Enclosing class:
  Coff

    public static class Coff.Lineno
    extends Object

### Field Summary

Fields
`int` `l_addr`
`int` `l_lnno`
`static int` `LINESZ`

### Constructor Summary

Constructors
Constructor and Description
`Lineno(RandomAccessFile file)`
`Lineno(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LINESZ

    public static final int LINESZ

See Also:
  Constant Field Values

#### l_addr

    public int l_addr

#### l_lnno

    public int l_lnno

### Constructor Detail

#### Lineno

    public Lineno(RandomAccessFile file)
           throws IOException

Throws:
  `IOException`

#### Lineno

    public Lineno(RandomAccessFile file,
                  long offset)
           throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`